Ubuntu GNOME only allows regional format setting for US, UK, Canada, Australia, and NZ

Bug #1440275 reported by Ki Bum Lee on 2015-04-04
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
accountsservice (Ubuntu)
Medium
Gunnar Hjalmarsson
gnome-control-center (Ubuntu)
Medium
Gunnar Hjalmarsson
gnome-desktop3 (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to Korean language, which worked okay. When I tried to set regional format (date, time, currency, number, metric, etc.), however, the options are only limited to 5 regions: US, UK, Canada, Australia, New Zealand. I do live in the US, but I want to set the regional format in Korean because that goes with the system language. I currently set the regional format to that of Canada because I am not familiar with US system of yards, feet and pounds. As you can see in the attached screenshot, the date format shown on the middle of the task bar is a mixture of English and Korean (Frankenstein-ish).

As I browsed through the bug report launchpad site, I found this bug has a long history which dates back to Ubuntu version 9.04. I have installed Ubuntu GNOME 14.04 LTS on my other computer and it does not have the same bug. I guess it has something to do with the newly introduced "systemd"?

I would very much like to see this bug is fixed ASAP (at least before the release of 15.04 proper version). I love GNOME interface, but this bug annoys me. Regards.

Ki Bum Lee (kbumicon) wrote :
Sebastien Bacher (seb128) wrote :

GNOME doesn't use the indicator

affects: indicator-datetime (Ubuntu) → gnome-control-center (Ubuntu)
Tim Lunn (darkxst) wrote :

Do you have the Korean language packs installed?

Can you try install language-selector-gnome, and see if it works as expected there

I did, but it didn't work. So what I did instead was version upgrade from
14.10 to 15.04 and the locale and regional format remained unchanged. I may
try to fresh install the Ubuntu GNOME 15.04 on another machine and see if
the bug is still there.

2015-04-22 17:32 GMT-04:00 Tim <email address hidden>:

> Do you have the Korean language packs installed?
>
> Can you try install language-selector-gnome, and see if it works as
> expected there
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1440275
>
> Title:
> Ubuntu GNOME only allows regional format setting for US, UK, Canada,
> Australia, and NZ
>
> Status in gnome-control-center package in Ubuntu:
> New
>
> Bug description:
> I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to
> Korean language, which worked okay. When I tried to set regional
> format (date, time, currency, number, metric, etc.), however, the
> options are only limited to 5 regions: US, UK, Canada, Australia, New
> Zealand. I do live in the US, but I want to set the regional format in
> Korean because that goes with the system language. I currently set the
> regional format to that of Canada because I am not familiar with US
> system of yards, feet and pounds. As you can see in the attached
> screenshot, the date format shown on the middle of the task bar is a
> mixture of English and Korean (Frankenstein-ish).
>
> As I browsed through the bug report launchpad site, I found this bug
> has a long history which dates back to Ubuntu version 9.04. I have
> installed Ubuntu GNOME 14.04 LTS on my other computer and it does not
> have the same bug. I guess it has something to do with the newly
> introduced "systemd"?
>
> I would very much like to see this bug is fixed ASAP (at least before
> the release of 15.04 proper version). I love GNOME interface, but this
> bug annoys me. Regards.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1440275/+subscriptions
>

Tim Lunn (darkxst) wrote :

This still sounds like you are missing the langpacks
Run language-selector, click the "Install/Remove Languages" button, does it show Korean is installed?

Ki Bum Lee (kbumicon) wrote :

Yes, I did. I even removed Korean language pack and reinstalled it to see
if the reinstallation makes the choice of regions available, but it still
shows limited choice of British Commonwealth countries and the US. As you
probably know, I don't need to install language pack separately, since when
you set the locale to Korean, the system automatically downloads all the
necessary language packs. So far no flavors of Ubuntu 15.04 cause the same
issue but Ubuntu GNOME. (I even tried Fedora 22 alpha 1 and it did not have
such an issue.) I found this issue about three weeks ago. I hoped the issue
is gone after the RC version is released, but it is still there. Like I
said, I will fresh install the 15.04 on another machine after tomorrow's
release to see if the issue is gone.

2015-04-22 18:10 GMT-04:00 Tim <email address hidden>:

> This still sounds like you are missing the langpacks
> Run language-selector, click the "Install/Remove Languages" button, does
> it show Korean is installed?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1440275
>
> Title:
> Ubuntu GNOME only allows regional format setting for US, UK, Canada,
> Australia, and NZ
>
> Status in gnome-control-center package in Ubuntu:
> New
>
> Bug description:
> I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to
> Korean language, which worked okay. When I tried to set regional
> format (date, time, currency, number, metric, etc.), however, the
> options are only limited to 5 regions: US, UK, Canada, Australia, New
> Zealand. I do live in the US, but I want to set the regional format in
> Korean because that goes with the system language. I currently set the
> regional format to that of Canada because I am not familiar with US
> system of yards, feet and pounds. As you can see in the attached
> screenshot, the date format shown on the middle of the task bar is a
> mixture of English and Korean (Frankenstein-ish).
>
> As I browsed through the bug report launchpad site, I found this bug
> has a long history which dates back to Ubuntu version 9.04. I have
> installed Ubuntu GNOME 14.04 LTS on my other computer and it does not
> have the same bug. I guess it has something to do with the newly
> introduced "systemd"?
>
> I would very much like to see this bug is fixed ASAP (at least before
> the release of 15.04 proper version). I love GNOME interface, but this
> bug annoys me. Regards.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1440275/+subscriptions
>

Tim Lunn (darkxst) wrote :

So Korean shows up in the language-selector region panel, but not gnome-control-center panel?

Ki Bum Lee (kbumicon) wrote :

Korean shows up in the language-selector panel, but not in the
region-selector panel. As a matter of fact, no other regions except US, UK,
Canada, Australia, and New Zealand show up in the region selector panel.
The region-selector does show "Other" button at the bottom, but pressing
the button has no effect: it does not give me choice of other regions. The
choice is limited to the 5 regions mentioned above. This behavior of
region-selector has not been corrected in the Beta version of 15.04. So I
reinstalled Ubuntu GNOME 14.04 LTS (which is free from this bug) and
upgraded from there to 15.04. Now the GNOME control center panel is showing
the correct regional format of numbers, time, temperatures and metric
units. However, since I haven't clean-installed Ubuntu GNOME 15.04 from
scratch, I don't know what the experience of other Korean users who took
this route of installation might be.

2015-04-24 18:53 GMT-04:00 Tim <email address hidden>:

> So Korean shows up in the language-selector region panel, but not gnome-
> control-center panel?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1440275
>
> Title:
> Ubuntu GNOME only allows regional format setting for US, UK, Canada,
> Australia, and NZ
>
> Status in gnome-control-center package in Ubuntu:
> New
>
> Bug description:
> I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to
> Korean language, which worked okay. When I tried to set regional
> format (date, time, currency, number, metric, etc.), however, the
> options are only limited to 5 regions: US, UK, Canada, Australia, New
> Zealand. I do live in the US, but I want to set the regional format in
> Korean because that goes with the system language. I currently set the
> regional format to that of Canada because I am not familiar with US
> system of yards, feet and pounds. As you can see in the attached
> screenshot, the date format shown on the middle of the task bar is a
> mixture of English and Korean (Frankenstein-ish).
>
> As I browsed through the bug report launchpad site, I found this bug
> has a long history which dates back to Ubuntu version 9.04. I have
> installed Ubuntu GNOME 14.04 LTS on my other computer and it does not
> have the same bug. I guess it has something to do with the newly
> introduced "systemd"?
>
> I would very much like to see this bug is fixed ASAP (at least before
> the release of 15.04 proper version). I love GNOME interface, but this
> bug annoys me. Regards.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1440275/+subscriptions
>

Tim Lunn (darkxst) on 2015-04-25
Changed in ubuntu-gnome:
milestone: none → vivid
Tim Lunn (darkxst) wrote :

tested this quickly, under vivid it was broken in both language selector and gnome-control-center. with GNOME 3.16 (gnome3-staging PPA) it seems to work, so its probably a bug in gnome-desktop3 that has been fixed upstream

LinDol (lindolsang) wrote :

Hello, I am Juyeon. Park.
So I have put Ubuntu Gnome 15.04 in myLaptop by fresh install today.

My Region and Format setting is below.

Language: Korean
Format: Korea

I think it works fine by fresh install.

When i install UbuntuGnome 15.04 in my laptop,
I was choosing Korean for Language,
Korean for Keyboard Layout.

I checked "install update package option during installing process"

So.
I think Region and Language works fine.
Thank you.

Ki Bum Lee (kbumicon) wrote :

Thank you, Tim and Mr. Park. It's great to know that the issue has been
fixed. I plan to clean-install Ubuntu GNOME 15.04 on my other machine. I
will let you know how it works.

Regards.

2015-04-25 5:47 GMT-04:00 LinDol <email address hidden>:

> Hello, I am Juyeon. Park.
> So I have put Ubuntu Gnome 15.04 in myLaptop by fresh install today.
>
> My Region and Format setting is below.
>
> Language: Korean
> Format: Korea
>
> I think it works fine by fresh install.
>
> When i install UbuntuGnome 15.04 in my laptop,
> I was choosing Korean for Language,
> Korean for Keyboard Layout.
>
> I checked "install update package option during installing process"
>
> So.
> I think Region and Language works fine.
> Thank you.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1440275
>
> Title:
> Ubuntu GNOME only allows regional format setting for US, UK, Canada,
> Australia, and NZ
>
> Status in Ubuntu GNOME:
> New
> Status in gnome-control-center package in Ubuntu:
> New
>
> Bug description:
> I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to
> Korean language, which worked okay. When I tried to set regional
> format (date, time, currency, number, metric, etc.), however, the
> options are only limited to 5 regions: US, UK, Canada, Australia, New
> Zealand. I do live in the US, but I want to set the regional format in
> Korean because that goes with the system language. I currently set the
> regional format to that of Canada because I am not familiar with US
> system of yards, feet and pounds. As you can see in the attached
> screenshot, the date format shown on the middle of the task bar is a
> mixture of English and Korean (Frankenstein-ish).
>
> As I browsed through the bug report launchpad site, I found this bug
> has a long history which dates back to Ubuntu version 9.04. I have
> installed Ubuntu GNOME 14.04 LTS on my other computer and it does not
> have the same bug. I guess it has something to do with the newly
> introduced "systemd"?
>
> I would very much like to see this bug is fixed ASAP (at least before
> the release of 15.04 proper version). I love GNOME interface, but this
> bug annoys me. Regards.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-gnome/+bug/1440275/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

@Tim,

I noticed a similar problem at Ask Ubuntu:
http://askubuntu.com/questions/616688

So I had a look, and I think the problem lies in two Ubuntu patches, so it hasn't likely been fixed upstream.

* gnome-desktop3, ubuntu_language.patch
* gnome-control-center, 52_region_language.patch

ubuntu_language.patch adds the collect_locales_from_ubuntu() function to gnome-languages.c. collect_locales_from_ubuntu() is called from collect_locales() and populates the hash table gnome_available_locales_map via the add_locale() function.

Since the function cc_common_language_get_initial_regions() in gnome-control-center calls gnome_get_all_locales() in gnome-languages.c, which in turn uses the gnome_available_locales_map hash table, it incorrectly grabs the list of languages.

Originally (in 3.6) the call for /usr/share/language-tools/language-options happened directly in the function which populated the list of available languages. To achieve something similar, this could be done:

- Drop the addition of collect_locales_from_ubuntu() and the changes to
  collect_locales() from ubuntu_language.patch

- Let cc_common_language_add_user_languages() call
  /usr/share/language-tools/language-options directly somehow (via
  52_region_language.patch)

Another approach might be to replace the use of gnome_get_all_locales() in cc_common_language_get_initial_regions() with a 'locale -a' list.

Changed in gnome-control-center (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
affects: ubuntu-gnome → gnome-desktop3 (Ubuntu)
Changed in gnome-desktop3 (Ubuntu):
milestone: vivid → none
importance: Undecided → Medium
status: New → Triaged
Saurav Sengupta (sensaurav) wrote :

My problem, as linked to from comment #12, is that the Region & Language panel does not list India (English). Even if it lists a non-English format such as Korean as mentioned in comment #10, it still does not list any English formats other than the few noted in the OP. Installing language packs for Hindi and Bengali, for instance, lists the respective formats for India, but some English formats, for example, India, Nigeria, Zambia, etc., do not have specific language pack packages, and are not listed. On other distributions, the Region & Language panel uses the languages and formats selected by the user or installed on the system. For example, on Arch and its derivatives, the formats generated by locale-gen from /etc/locale.gen and listed by locale -a are all listed in the Region & Language panel. On Ubuntu (GNOME), although locale-gen generates all English locales and locale -a lists them, they are not listed in the Region & Language panel. (https://bbs.archlinux.org/viewtopic.php?id=141124)

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-05-08 09:31, Saurav Sengupta wrote:
> My problem, as linked to from comment #12, is that the Region & Language
> panel does not list India (English). Even if it lists a non-English
> format such as Korean as mentioned in comment #10, it still does not
> list any English formats other than the few noted in the OP.

Right. And I think you were close to the truth when you said in a comment on the Ask Ubuntu page that gnome-control-center seems to get its list from /usr/share/locale-langpack. That's approximately what happens, and it's fine when it comes to selecting display languages, but it's not correct for selecting regional formats. In other words there should be two separate lists, but currently gnome-control-center uses the list intended for display languages for both purposes.

My somewhat technical comment was intended for Tim who is an Ubuntu GNOME developer. I might propose a fix later on, but I'd like Tim's view on which route to take first.

Ki Bum Lee (kbumicon) wrote :
Download full text (3.6 KiB)

I have found a solution to this problem. Open Ubuntu Software Center,
search for "Language Support," download and install it. This is a language
setting software used in Ubuntu (Unity version). It bears the same UN flag
icon as the language tool in the GNOME control center, but it is a separate
software. When you click and open this software, a dialogue box will pop up
and will ask you if you agree to install the language packs which is
"incomplete." Click yes, and it will install the necessary elements which
might be missing. Then go to regional setting, you will find your region on
the list. Set the desired region and apply it. You should log out and log
in again to make the change take effect.

I think this is only a temporary solution. As Gunnar pointed out, the
language tool in the GNOME control center should be fixed so that the
regional formats can be set from there.

2015-05-08 6:29 GMT-04:00 Gunnar Hjalmarsson <email address hidden>:

> On 2015-05-08 09:31, Saurav Sengupta wrote:
> > My problem, as linked to from comment #12, is that the Region & Language
> > panel does not list India (English). Even if it lists a non-English
> > format such as Korean as mentioned in comment #10, it still does not
> > list any English formats other than the few noted in the OP.
>
> Right. And I think you were close to the truth when you said in a
> comment on the Ask Ubuntu page that gnome-control-center seems to get
> its list from /usr/share/locale-langpack. That's approximately what
> happens, and it's fine when it comes to selecting display languages, but
> it's not correct for selecting regional formats. In other words there
> should be two separate lists, but currently gnome-control-center uses
> the list intended for display languages for both purposes.
>
> My somewhat technical comment was intended for Tim who is an Ubuntu
> GNOME developer. I might propose a fix later on, but I'd like Tim's view
> on which route to take first.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1440275
>
> Title:
> Ubuntu GNOME only allows regional format setting for US, UK, Canada,
> Australia, and NZ
>
> Status in gnome-control-center package in Ubuntu:
> Triaged
> Status in gnome-desktop3 package in Ubuntu:
> Triaged
>
> Bug description:
> I installed Ubuntu GNOME 15.04 Beta 2. I set the system locale to
> Korean language, which worked okay. When I tried to set regional
> format (date, time, currency, number, metric, etc.), however, the
> options are only limited to 5 regions: US, UK, Canada, Australia, New
> Zealand. I do live in the US, but I want to set the regional format in
> Korean because that goes with the system language. I currently set the
> regional format to that of Canada because I am not familiar with US
> system of yards, feet and pounds. As you can see in the attached
> screenshot, the date format shown on the middle of the task bar is a
> mixture of English and Korean (Frankenstein-ish).
>
> As I browsed through the bug report launchpad site, I found this bug
> has a long history which dates back to Ubuntu version 9.04. I have
...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

I agree, Ki Bum Lee. Installing Language Support (the language-selector-gnome package), and using that tool until this bug has been fixed, is a proper workaround. It does exactly the same thing as "Region and Language" in gnome-control-center should do.

Tim Lunn (darkxst) wrote :

@Gunnar,
  I think your first suggestion is best, i.e. revert to upstream locale behaviour and call language-options directly from g-c-c when populating the language capplet.

Changed in accountsservice (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Gunnar Hjalmarsson (gunnarhj) wrote :

Ok, I'm proposing changes to three packages which I think will both fix this bug and improve the behavior of the language and formats capplets in gnome-control-center. The change in accountsservice alters the output from /usr/share/language-tools/language-options when $XDG_CURRENT_DESKTOP is "GNOME": The items in the list of language options will consistently include country code.

I have uploaded updated packages to a PPA, so please feel free to install and provide feedback:

https://launchpad.net/~gunnarhj/+archive/ubuntu/gcc-region-test

Attached please find a patch for the gnome-control-center change, and for the gnome-desktop3 change there is a merge proposal. I'm going to upload the accountsservice change if the other proposals are approved.

tags: added: patch
Changed in accountsservice (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
Changed in gnome-desktop3 (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
Tim Lunn (darkxst) wrote :

@Gunnar, thanks changes look fine to me, however I can't sponsor since I don't yet have upload rights to ubuntu-desktop packageset.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 06/25/2015 11:47 PM, Tim wrote:
> @Gunnar, thanks changes look fine to me, however I can't sponsor
> since I don't yet have upload rights to ubuntu-desktop packageset.

Thanks for reviewing; it's in the queue, so hopefully a sponsor picks it soon.

Gunnar Hjalmarsson (gunnarhj) wrote :

I made a minor adjustment to the gnome-control-center proposal; attached please find the updated patch. With that I could drop the proposed changes to accountsservice.

It would make sense to disable the access to the longer "language" list, since the additional locales don't represent translations. I haven't figured out how to do that, though.

no longer affects: accountsservice (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop3 - 3.14.1-1ubuntu3

---------------
gnome-desktop3 (3.14.1-1ubuntu3) wily; urgency=medium

  * debian/patches/ubuntu_language.patch:
    - Drop modification of collect_locales() in gnome-languages.c
      (LP: #1440275).

 -- Gunnar Hjalmarsson <email address hidden> Tue, 23 Jun 2015 22:49:00 +0200

Changed in gnome-desktop3 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.14.2-2ubuntu4

---------------
gnome-control-center (1:3.14.2-2ubuntu4) wily; urgency=medium

  * debian/patches/52_region_language.patch:
    - Let cc_common_language_get_initial_languages() grab the
      languages from /usr/share/language-tools/language-options
      instead of gnome_get_all_locales() (LP: #1440275).
    - Use cc_common_language_get_locale() to convert the languages
      to locales correctly in insert_language().

 -- Gunnar Hjalmarsson <email address hidden> Sat, 27 Jun 2015 06:02:00 +0200

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

The ultimate test of this kind of settings is to install the Catalan language and try to set language and formats for "Catalan - valencia". When doing so, another need for change to gnome-desktop3 appeared (new merge proposal submitted). I also made a change to accountsservice, after all (just uploaded).

Changed in gnome-desktop3 (Ubuntu):
status: Fix Released → In Progress
Changed in accountsservice (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accountsservice - 0.6.40-2ubuntu2

---------------
accountsservice (0.6.40-2ubuntu2) wily; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make it possible to set the "Catalan - valencia" language from
      the Ubuntu GNOME GUI (LP: #1440275).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 29 Jun 2015 22:43:00 +0200

Changed in accountsservice (Ubuntu):
status: Fix Committed → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

Resubscribing sponsors, since the new gnome-desktop3 MP isn't visible in the sponsorship queue.

Tim Lunn (darkxst) wrote :

Gunnar, can you rebase against my 3.16 branch in bug 1468941?

Gunnar Hjalmarsson (gunnarhj) wrote :

@Tim: I put the MP on hold, hoping that the gnome-desktop3 task will be fixed together with bug #1468941. Please see my comment and patch on bug #1468941.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop3 - 3.16.2-2ubuntu1

---------------
gnome-desktop3 (3.16.2-2ubuntu1) wily; urgency=medium

  * Merge with Debian (LP: #1468941), Remaining changes:
    - debian/patches:
      + 04_compute_average_color.patch: Compute the avergage color in
        gnome-desktop itself, not in unity to fix some races (LP #963140)
      + tweak_color_computation.patch, Patch from Gord, no patch header,
        no bug link.
      + git_revert_draw_background.patch
      + ubuntu_language.patch, Ported relevant bits from g-c-c
        52_region_language.patch, as required for gnome 3.8 region panel
      + ubuntu_language_list_from_SUPPORTED.patch,
        adds api to get list of available languages from SUPPORTED file.
        To be used by gnome 3.8 region panel language installation.
      + gnomebg_hidpi_image.patch,
        gnome_bg_create_surface: always honor device scale, that fixes
        the wallpaper rendering in hidpi config under ubiquity (lp: #1382291)
    - debian/libgnome-desktop-3-10.symbols:
      + Add symbols included in Ubuntu patches
    - debian/control.in:
      + Mark gnome-desktop3-data Multi-Arch: foreign

  [ Gunnar Hjalmarsson ]
  * debian/patches/ubuntu_language.patch:
    - Show possible locale modifier in formats list (LP: #1440275).

gnome-desktop3 (3.16.2-2) unstable; urgency=medium

  * Add missing trailing slash to DEB_CONFIGURE_EXTRA_FLAGS arguments.

gnome-desktop3 (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/realpath-PATH_MAX.patch, upstream dropped the
    libgsystem dependency.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Drop explicit Build-Depends on dpkg-dev, even the version from wheezy
    provides dpkg-vendor.
  * Convert to multiarch. This includes moving the gnome-rr-debug tool into an
    architecture qualified path.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Update debian/copyright. Change shortname from 'MIT/X11 (BSD like)' to
    Expat to comply with the spec.

 -- Tim Lunn <email address hidden> Tue, 30 Jun 2015 18:17:53 +1000

Changed in gnome-desktop3 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers